Package io.vertx.reactivex.mqtt.messages

## Class MqttDisconnectMessage

- java.lang.Object
- - io.vertx.reactivex.mqtt.messages.MqttDisconnectMessage

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class MqttDisconnectMessage
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Represents an MQTT CONNACK message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MqttDisconnectMessage>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MqttDisconnectMessage​(MqttDisconnectMessage delegate)` |
    `MqttDisconnectMessage​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MqttDisconnectReasonCode` | `code()` |
    `static MqttDisconnectMessage` | `create​(MqttDisconnectReasonCode code, MqttProperties properties)` | Create a concrete instance of a Vert.x disconnect message
    `boolean` | `equals​(Object o)` |
    `MqttDisconnectMessage` | `getDelegate()` |
    `int` | `hashCode()` |
    `static MqttDisconnectMessage` | `newInstance​(MqttDisconnectMessage arg)` |
    `MqttProperties` | `properties()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MqttDisconnectMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttDisconnectMessage

          public MqttDisconnectMessage​(MqttDisconnectMessage delegate)

    - #### MqttDisconnectMessage

          public MqttDisconnectMessage​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MqttDisconnectMessage getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### code

          public MqttDisconnectReasonCode code()

      Returns:
        return code from the connection request

    - #### create

          public static MqttDisconnectMessage create​(MqttDisconnectReasonCode code,
                                                     MqttProperties properties)

      Create a concrete instance of a Vert.x disconnect message
      Parameters:
        `code` - return code from the disconnect request
        `properties` - MQTT properties of the disconnect message
      Returns:

    - #### properties

          public MqttProperties properties()

      Returns:
        MQTT properties

    - #### newInstance

          public static MqttDisconnectMessage newInstance​(MqttDisconnectMessage arg)